Loading...
Searching...
No Matches
janus_recorder Struct Reference

Structure that represents a recorder. More...

`#include <record.h>`

Collaboration diagram for janus_recorder:
[legend]

## Data Fields

char * | dir
| Absolute path to the directory where the recorder file is stored.
char * | filename
| Filename of this recorder file.
FILE * | file
| Recording file.
char * | codec
| Codec the packets to record are encoded in ("vp8", "vp9", "h264", "opus", "pcma", "pcmu", "g722").
char * | fmtp
| Codec-specific info (e.g., H.264 or VP9 profile).
char * | description
| Stream description.
GHashTable * | extensions
| List of RTP extensions (as a hashtable, indexed by ID) in this recording.
gint64 | created
| When the recording file has been created and started.
gint64 | started
janus_recorder_medium | type
| Media this instance is recording.
int | opusred_pt
| In case RED is used for Opus, its payload types.
gboolean | encrypted
| Whether the recording contains end-to-end encrypted media or not.
volatile int | header
| Whether the info header for this recorder instance has already been written or not.
volatile int | writable
| Whether this recorder instance can be used for writing or not.
volatile int | paused
| Whether writing s/RTP packets/data is paused.
janus_rtp_switching_context | context
| RTP switching context for rewriting RTP headers.
janus_mutex | mutex
| Mutex to lock/unlock this recorder instance.
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Structure that represents a recorder.

## Field Documentation

## codec

char* janus_recorder::codec

Codec the packets to record are encoded in ("vp8", "vp9", "h264", "opus", "pcma", "pcmu", "g722").

## context

janus_rtp_switching_context janus_recorder::context

RTP switching context for rewriting RTP headers.

## created

gint64 janus_recorder::created

When the recording file has been created and started.

## description

char* janus_recorder::description

Stream description.

## destroyed

volatile gint janus_recorder::destroyed

Atomic flag to check if this instance has been destroyed.

## dir

char* janus_recorder::dir

Absolute path to the directory where the recorder file is stored.

## encrypted

gboolean janus_recorder::encrypted

Whether the recording contains end-to-end encrypted media or not.

## extensions

GHashTable* janus_recorder::extensions

List of RTP extensions (as a hashtable, indexed by ID) in this recording.

## file

FILE* janus_recorder::file

Recording file.

## filename

char* janus_recorder::filename

Filename of this recorder file.

## fmtp

char* janus_recorder::fmtp

Codec-specific info (e.g., H.264 or VP9 profile).

## header

volatile int janus_recorder::header

Whether the info header for this recorder instance has already been written or not.

## mutex

janus_mutex janus_recorder::mutex

Mutex to lock/unlock this recorder instance.

## opusred_pt

int janus_recorder::opusred_pt

In case RED is used for Opus, its payload types.

## paused

volatile int janus_recorder::paused

Whether writing s/RTP packets/data is paused.

## ref

janus_refcount janus_recorder::ref

Reference counter for this instance.

## started

gint64 janus_recorder::started

## type

janus_recorder_medium janus_recorder::type

Media this instance is recording.

## writable

volatile int janus_recorder::writable

Whether this recorder instance can be used for writing or not.

The documentation for this struct was generated from the following file:

- record.h